Package org.apache.commons.collections4.multiset

# Class AbstractMapMultiSet.EntrySetIterator<E>

java.lang.Object
org.apache.commons.collections4.multiset.AbstractMapMultiSet.EntrySetIterator<E>

All Implemented Interfaces:
  `Iterator<MultiSet.Entry<E>>`

Enclosing class:
  AbstractMapMultiSet<E>

protected static class AbstractMapMultiSet.EntrySetIterator<E> extends Object implements Iterator<MultiSet.Entry<E>>
Inner class EntrySetIterator.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `canRemove`
  Whether remove is allowed at present
  `protected final Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>>`
  `decorated`
  `protected MultiSet.Entry<E>`
  `last`
  The last returned entry
  `protected final AbstractMapMultiSet<E>`
  `parent`
  The parent map

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntrySetIterator(Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>> iterator, AbstractMapMultiSet<E> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `MultiSet.Entry<E>`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Field Details

  - ### parent

    protected final AbstractMapMultiSet<E> parent
    The parent map

  - ### decorated

    protected final Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>> decorated

  - ### last

    protected MultiSet.Entry<E> last
    The last returned entry

  - ### canRemove

    protected boolean canRemove
    Whether remove is allowed at present

- ## Constructor Details

  - ### EntrySetIterator

    protected EntrySetIterator(Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>> iterator, AbstractMapMultiSet<E> parent)
    Constructs a new instance.
    Parameters:
      `iterator` - the iterator to decorate
      `parent` - the parent multiset

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<E>`

  - ### next

    public MultiSet.Entry<E> next()
    Specified by:
      `next` in interface `Iterator<E>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<E>`